# BasisFunctions

class `psi4.core.``BasisFunctions`

  Bases: `pybind11_builtins.pybind11_object`

  docstring

  Methods Summary

  `basis_values`(self) | docstring
  `compute_functions`(self, arg0) | docstring
  `deriv`(self) | docstring
  `max_functions`(self) | docstring
  `max_points`(self) | docstring
  `set_deriv`(self, arg0) | docstring

  Methods Documentation

  `basis_values`(self: psi4.core.BasisFunctions) → Dict[str, psi4.core.Matrix]

    docstring

  `compute_functions`(self: psi4.core.BasisFunctions, arg0: psi::BlockOPoints) → None

    docstring

  `deriv`(self: psi4.core.BasisFunctions) → int

    docstring

  `max_functions`(self: psi4.core.BasisFunctions) → int

    docstring

  `max_points`(self: psi4.core.BasisFunctions) → int

    docstring

  `set_deriv`(self: psi4.core.BasisFunctions, arg0: int) → None

    docstring

  `basis_values`(self: psi4.core.BasisFunctions) → Dict[str, psi4.core.Matrix]

    docstring

  `compute_functions`(self: psi4.core.BasisFunctions, arg0: psi::BlockOPoints) → None

    docstring

  `deriv`(self: psi4.core.BasisFunctions) → int

    docstring

  `max_functions`(self: psi4.core.BasisFunctions) → int

    docstring

  `max_points`(self: psi4.core.BasisFunctions) → int

    docstring

  `set_deriv`(self: psi4.core.BasisFunctions, arg0: int) → None

    docstring